\documentclass[12pt,a4paper]{article}
\usepackage{amsmath,amssymb,amsthm,epsfig,amscd,verbatim}
\usepackage[french]{babel} 
\usepackage{fancyvrb}
%\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
\addtolength{\textwidth}{3cm} 
\addtolength{\textheight}{4cm}
\addtolength{\hoffset}{-2cm} 
\addtolength{\voffset}{-2cm}

\usepackage{hyperref}
\usepackage{float}
\usepackage{algorithm}
\usepackage{algorithmic}
\renewcommand{\algorithmicrequire}{\textbf{Input:}}
\renewcommand{\algorithmicensure}{\textbf{Output:}}

%% commandes utiles %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\R}{\mathbb{R}}
\newcommand{\C}{\mathbb{C}}
\renewcommand{\vec}[1]{\mathbf{#1}}
\newcommand{\tr}{\mbox{tr}}
\newcommand{\Span}{\mbox{span}}
\DeclareMathOperator*{\argmin}{arg\,min}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\begin{document}
\noindent UNIVERSIT\'E DE GEN\`EVE \hfill Section de Math\'ematiques \\
\noindent Facult\'e des Sciences \hfill \`A rendre le mercredi 31 mai \\[-3mm] \hrule
\bigskip

\begin{center}
\textbf{\Large{Méthodes Itératives}}  \\[1mm]\bigskip
\textbf{Série 6}
\end{center}
\bigskip

\textbf{Exercise 1: QR by Givens rotations.}
\begin{enumerate}
\item (3 pts) Établir un algorithme pour calculer la décomposition 
$QR$ d'une matrice de Hessenberg $H$ de taille $k$ à l'aide de rotation
de Givens en $O(k^2)$ opérations.
\item (3 pts) On suppose que l'on connaît déjà la décomposition $QR$
de la matrice constituée des $k-1$ premières colonnes de $H$.
Comment s'en servir pour calculer la décomposition $QR$ en $O(k)$ opérations.
\end{enumerate}


\bigskip
\textbf{Exercise 2: GMRES convergence.} (2 pts)\\
On souhaite appliquer l’algorithme GMRES à le systeme $A \vec{u} = \vec{f}$ où la matrice $A \in \mathbb{R}^{2n\times2n}$ est 
\begin{equation*}
A = \begin{bmatrix}
I & B \\
0 & I \\
\end{bmatrix},
\end{equation*}
où $I$ est la matrice identité de taille $n \times n$ et $B \in \mathbb{R}^{n\times n}$ est une matrice arbitraire.
En combien d’itérations au maximum (quel que soit le choix de $\vec{f} \in \mathbb{R}^n$) l’algorithme GMRES
va-t-il converger ?


\bigskip
\textbf{Exercise 3: Parallel Schwarz method and block-Jacobi.} (4 pts)\\
Consider the one-dimensional Laplace problem
\begin{equation*}
-\frac{d^2 u(x)}{dx^2} = f(x) \text{ in $\Omega = (0,1)$ with $u(0)=u(1)=0$.}
\end{equation*}
Discretize this problem with finite differences on a uniform mesh of size $h$
to obtain $A \vec{u} = \vec{f}$, where $A$ is the discrete Laplacian.

Now, consider a domain decomposition $\Omega = \Omega_1 \cup \Omega_2$
with $\Omega_1 = (0,b)$ and $\Omega_2 = (a,1)$ with $a<b$ and $\delta = b-a$ being the overlap.
The parallel Schwarz method is given by
\begin{equation*}
-\frac{d^2 u^{n+1}_1(x)}{dx^2} = f(x) \text{ in $(0,b)$ with $u_1^{n+1}(0)=0$ and $u_1^{n+1}(b)=u_2^{n}(b)$}
\end{equation*}
and
\begin{equation*}
-\frac{d^2 u^{n+1}_2(x)}{dx^2} = f(x) \text{ in $(a,1)$ with $u_2^{n+1}(a)=u_1^{n}(a)$ and $u_2^{n+1}(1)=0$.}
\end{equation*}
Discretize these two subproblems by means of finite differences on uniform meshes of size $h$.
Show that, at a discrete level, the parallel Schwarz method with minimal overlap, that is $\delta = h$,
is equivalent to a block-Jacobi method for the solution to $A \vec{u} = \vec{f}$.
 

\end{document}
